server:
  port: 7778
  compression:
    enabled: true
    mime-types: application/javascript,text/css,application/json,application/xml,text/html,text/xml,text/plain,text/javascript,image/svg+xml,image/png,image/apng,image/x-icon,image/gif,image/avif
  http2:
    enabled: true

management:
  server:
    port: -1

spring:
  banner.location: classpath:banner.txt
  data.redis:
    host: 127.0.0.1
    port: 6379
    database: 5
    timeout: 1000
  cache:
    type: redis
    redis:
      key-prefix: 'doghouse:'
      use-key-prefix: true
  devtools.restart.enabled: true
  datasource:
    name: DoghouseCP
    # 注意这里的路径默认是相对于 doghouse.work-path 的路径
    # 如果需要绝对路径, 请设置 doghouse.use-relative-db-path: false
    url: jdbc:sqlite:data/blog.db
    driver-class-name: org.sqlite.JDBC
    type: com.zaxxer.hikari.HikariDataSource
    hikari:
      minimum-idle: 20
      connection-test-query: SELECT 'x'
      maximum-pool-size: 20000
      auto-commit: true
      idle-timeout: 1000
      max-lifetime: 20000
      connection-timeout: 1000
  servlet.multipart:
    max-file-size: 5MB
    max-request-size: 50MB
  session:
    timeout: 86400
  sql.init:
      mode: always
      continue-on-error: true
  thymeleaf:
    mode: HTML
    encoding: UTF-8
    servlet:
      content-type: text/html

mybatis-plus:
  type-aliases-package: me.qwq.doghouse.entity, me.qwq.doghouse.entity.post
  type-handlers-package: me.qwq.doghouse.handler
  mapper-locations: classpath*:mapper/*.xml
  global-config:
    banner: false
    enable-sql-runner: false
  configuration:
    default-enum-type-handler: org.apache.ibatis.type.EnumOrdinalTypeHandler

mybatis-plus-join.banner: false
  
doghouse:
  work-path: 'D:/tmp/doghouse/'

kaptcha:
  border: "no"
  image:
    width: 130
    height: 38
  textproducer:
    char:
       length: 4
    font:
      color: 35,37,38,80
      size: 30
      names: Times New Roman,Sans,Microsoft Yahei UI,Consolas
  session:
    key: code
  noise:
    color: 35,37,38,80